Bug 130036 - updating from standard install to kernel-smp-2.6.7-1.494.2.2.i686.rpm breaks Xserver
updating from standard install to kernel-smp-2.6.7-1.494.2.2.i686.rpm breaks ...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-16 14:13 EDT by Seth Bardash
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Seth Bardash 2004-08-16 14:13:11 EDT
Description of problem: 

Did standard 32 bit FC2 install on a dual opteron 246 system based on 
the Arima HDAMA-SATA (ATO2161) motherboard with 2GB of Memory (4 x 
512M DIMMs) with a 40GB IDE boot disk and 2 x 250 GB SATA disks set 
up as /home and /home1. Standard install runs fine using the onboard 
ATI RageXL with 8MB Memory graphics port. Once installed and set to 
come up in run level 5 EVERYTHING WORKS.

First: Used yum to update from local mirror of FC2 update directory 
and then reboot. System does not run X and we get a blue screen with 
the updates installed that says it can't start the Xserver and that 
it can't attach to the 0:0 frame buffer.

Did a complete reinstall and again the stock release works fine. Only 
installed/upgraded the kernel using "rpm -ivh kernel-smp-2.6.7-
1.494.2.2.i686.rpm" -- Same problem with X occurs. System booting 
into run level 3 with no problems but startx causes a blank screen.

Version-Release number of selected component (if applicable):


How reproducible:

Every time

Steps to Reproduce:
1. Standard FC2 install
2. run rpm -ivh kernel-smp-2.6.7-1.494.2.2.i686.rpm
3. reboot and select new kernel
4. System can't connect to onboard ATI RageXL graphics port and
Xserver fails to run.

Actual results:

Expected results: Expected the updates to install and run fine

Additional info: Can test this again once the ATI driver or X is 
fixed as we will have a similar machine here for another 7 days.
Comment 1 Dave Jones 2004-11-27 17:32:21 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 2 Dave Jones 2005-04-16 01:16:48 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.